"""
    espn.com/nba/scoreboard
    data is hidden in a json-like variable in a <script> tag
    This script should be executed in the morning EST to get the results instead of upcoming games.
"""

import json
import requests

print('Grabbing scores from ESPN')

url = 'https://www.espn.com/nba/scoreboard'
file_name = 'data/espn.json'
media_identifier = 'espn'
index = 0
data = {
    'nfl': [],
    'nba': []
}
search_string = 'data: {'
end_string = '};'
found_line = ''

html = requests.get(url) # read the url
lines = html.text.split('\n')

for line in lines:
    if(index > 500): # the code we're looking for is around line 600
        if line.strip().startswith(search_string):
            found_line = '{' + line.strip().lstrip(search_string).rstrip(end_string).strip(',') + '';
            break;
    index += 1

dict_obj = json.loads(found_line)
nfl = dict_obj['sports'][0]['leagues'][0]['events']
nba = dict_obj['sports'][2]['leagues'][0]['events']

# print(dict_obj['sports'][0]['leagues'][0]['events'][0]['link'])


"""
for game in nfl:
    # print(game['date'])
    print(game['competitors'][0]['abbreviation'] + ' (' + game['competitors'][0]['record'] + ')')
    print(game['competitors'][1]['abbreviation'] + ' (' + game['competitors'][1]['record'] + ')')
    if game['status'] == 'post':
        print(game['competitors'][0]['score'] + ' - ' + game['competitors'][1]['score'])
    print(game['link'])
    print('##################')
    x = {
        "date": game['date'],
        "team1": game['competitors'][0]['abbreviation'] + ' (' + game['competitors'][0]['record'] + ')',
        "team2": game['competitors'][1]['abbreviation'] + ' (' + game['competitors'][1]['record'] + ')',
        "result": game['competitors'][0]['score'] + ' - ' + game['competitors'][1]['score'],
        "url": game['link']
    }
    data['nfl'].append(x)

for game in nba:
    print(game['date'])
    print(game['competitors'][0]['abbreviation'] + ' (' + game['competitors'][0]['record'] + ')')
    print(game['competitors'][1]['abbreviation'] + ' (' + game['competitors'][1]['record'] + ')')
    if game['status'] == 'post':
        print(game['competitors'][0]['score'] + ' - ' + game['competitors'][1]['score'])
    print(game['link'])
    print('##################')
    x = {
        "date": game['date'],
        "team1": game['competitors'][0]['abbreviation'] + ' (' + game['competitors'][0]['record'] + ')',
        "team2": game['competitors'][1]['abbreviation'] + ' (' + game['competitors'][1]['record'] + ')',
        "result": game['competitors'][0]['score'] + ' - ' + game['competitors'][1]['score'],
        "url": game['link']
    }
    data['nba'].append(x)

with open(file_name, 'w', encoding='utf-8') as f:
    json.dump(data, f, ensure_ascii=False, indent=4)
"""
