"""
    New York Times hat einen RSS-feed
"""
import feedparser
import json
from urllib.parse import urlparse

print('Grabbing headlines from NYTimes')

counter = 0
data = []
filename = 'data/nytimes.json'
url = 'https://rss.nytimes.com/services/xml/rss/nyt/HomePage.xml'
feed = feedparser.parse(url)

for post in feed.entries:
    counter += 1
    u = urlparse(post.links[0].href)
    x = {
        'id': counter,
        'source': 'nytimes',
        'title': post.title,
        'url': u.scheme + '://' + u.netloc + u.path
    }
    data.append(x)

with open(filename, 'w', encoding='utf-8') as f:
    json.dump(data, f, ensure_ascii=False, indent=4)
