"""
    Save .json files' content to database
"""
__author__ = 'Alex Will'
__version__ = '0.1'

import json
from peewee import *

# Config
DB_HOST="127.0.0.1"
DB_PORT=3306
DB_DATABASE="newstickr"
DB_USERNAME="user"
DB_PASSWORD="pass"
files = [
    'abcnews',
    'bbc',
    'berliner_zeitung',
    'fr',
    'golem',
    'heise',
    'msnbc',
    'nytimes',
    'reddit_programming',
    'reddit_programmerhumor',
    'reddit_webdev',
    'reddit_javascript',
    'reddit_java',
    'reddit_coding',
    'reddit_python',
    'reddit_php',
    'spiegel',
    'sueddeutsche',
    'tagesspiegel',
    'zeit'
]
# entries = []
counter = 0

# Init DB
mysql_db = MySQLDatabase(
    DB_DATABASE,
    user = DB_USERNAME,
    password = DB_PASSWORD,
    host = DB_HOST,
    port = DB_PORT
)

# DB Model
class FeedEntry(Model):
    json_id = CharField()
    source = CharField()
    url = CharField()
    title = CharField()
    text = CharField()
    category = CharField()
    updated = DateTimeField()

    class Meta:
        database = mysql_db
        table_name = 'feed_entries'

def clearTable(media_identifier):
    print('clearing all entries from ' + media_identifier)
    query = FeedEntry.delete().where(FeedEntry.source == media_identifier)
    num = query.execute()
    # print(num)


def saveData(data):
    global counter
    # make sure we have actual data
    if len(data) > 1:
        clearTable(data[0]['source'])
        print('saving entries for ' + data[0]['source'])
        for entry in data:
            counter += 1
            # different feeds have or do not have the indices 'category', 'title', and 'text'
            catg = entry['category'] if 'category' in entry else ''
            t = entry['text'] if 'text' in entry else ''
            ti = entry['title'] if 'title' in entry else ''
            e = FeedEntry.create(
                json_id = entry['id'],
                source = entry['source'],
                url = entry['url'],
                title = ti,
                text = t,
                category = catg
            )
            e.save()
    else:
        print('no data in file')


# Get going
for file in files:
    data = []
    with open('data/' + file + '.json') as f:
        data = json.load(f)
    saveData(data)
