"""
    Grab headlines and links
    from Zeit.de's RSS-feed
"""

import feedparser
import re
import json

print('Grabbing headlines from Zeit')

url = 'http://newsfeed.zeit.de/index'
file_name = 'data/zeit.json'
media_identifier = 'zeit'
feed = feedparser.parse(url)
counter = 1
data = []

for post in feed.entries:
    category = re.split(' ', post.author)
    x = {
        'id': counter,
        'source': media_identifier,
        'url': post.link,
        'title': post.title,
        'category': category[2],
        'published': post.published
    }
    data.append(x)

with open(file_name, 'w', encoding='utf-8') as f:
    json.dump(data, f, ensure_ascii=False, indent=4)
